Subject: bug#50934: 28.0.60; paren.el should be preloaded

From: Andrea Corallo <[email-masked]>
Date: Fri, 01 Oct 2021 13:35:57 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 01 Oct 2021 13:11:33 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> Date: Fri, 01 Oct 2021 13:49:31 +0300
>> >> From: Eli Zaretskii <[email-masked]>
>> >> 
>> >> Since show-paren-mode is now ON by default, whenever Emacs starts it
>> >> now loads paren.elc? during startup.  So I think we should now preload
>> >> paren.el.
>> >
>> > One consequence of paren.el's not being preloaded is that in a
>> > native-compilation build, Emacs begins compiling paren.el as soon as
>> > it starts, and that causes it also to compile about a dozen other
>> > files that comp.el requires.  Should we perhaps native-compile all the
>> > prerequisites of comp.el as part of COMPILE_FIRST when we build Emacs?
>> 
>> I think we should keep an eye on the build time impact of this.  If I'm
>> not mistaken native compiling COMPILE_FIRST targets is slower than
>> afterward cause comp.el and friends are running interpreted.
>
> The native-compilation build is already painfully slow, and most of it
> isn't spent in COMPILE_FIRST.  We could, of course, add those files to
> shortlisp instead, if you think this is better.

I suspect shortlisp might be a better option (the number of threads of
the machine here comes into play as well), but I guess a measure is the
only way to get an answer.  IOW just wanted to raise the warning.

Regards

  Andrea